5.3.0-git
2014-11-27

[#11689] Auto-creation of parent permissions doesn't work
Summary Auto-creation of parent permissions doesn't work
Queue Horde Base
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester sl (at) bnmsp (dot) de
Created 2012-11-12 (745 days ago)
Due
Updated 2013-06-19 (526 days ago)
Assigned 2012-11-12 (745 days ago)
Resolved 2013-06-19 (526 days ago)
Milestone 5.1.2
Patch No

History
2013-06-19 11:37:33 Jan Schneider State ⇒ Resolved
Milestone ⇒ 5.1.2
 
2013-06-19 11:37:07 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 1abdfd753e14d5d9a0082d27779e03a44879b4a9
Author: Jan Schneider <jan@horde.org>
Date:   Wed Jun 19 13:33:37 2013 +0200

     [jan] Create parent permissions too if automatically creating 
permissions (Bug #11689).

  horde/admin/perms/edit.php |   26 +++++++++++++++++++++++---
  horde/docs/CHANGES         |    2 ++
  horde/package.xml          |    4 ++--
  3 files changed, 27 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/1abdfd753e14d5d9a0082d27779e03a44879b4a9
2012-11-12 13:06:30 Jan Schneider Version ⇒ Git master
Queue ⇒ Horde Base
 
2012-11-12 13:05:57 Jan Schneider Comment #2
Priority ⇒ 1. Low
State ⇒ Assigned
Summary ⇒ Auto-creation of parent permissions doesn't work
Assigned to Jan Schneider
Reply to this comment
You need to create sub-permission of Whups, then go down to the queue 
permissions.
2012-11-12 12:23:07 sl (at) bnmsp (dot) de Comment #1
State ⇒ Unconfirmed
Patch ⇒ No
Milestone ⇒
Queue ⇒ Whups
Summary ⇒ Permissions problem with Whups 3.0-git on Horde 5.0.1
Type ⇒ Bug
Priority ⇒ 3. High
Reply to this comment
If I want to change the permissions of my Queue, I get this error in a
popup in the frontend:

Trying to create sub permission of non-existant parent permission.
Create parent permission(s) first.

I have added child permissions to "All Permissions" for whups, but it
doesn't work.